sys.url=https://jiasm.zfire.top
#pc服务url
pc.server.url=http://localhost:23003/zfdapi
#物流回调
express.callback=${pc.server.url}/common/express/callback

#定时器
schedule.enable=false

##SQL执行分析，该插件有性能损耗，不建议生产环境使用
spring.datasource.druid.db-type=mysql
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://121.43.111.127:3306/zfire-dept-mall?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=xch!eCdvc124@
spring.datasource.druid.connection-init-sqls=set names utf8mb4
spring.datasource.druid.initial-size=5
spring.datasource.druid.minIdle=5
spring.datasource.druid.maxActive=20
### 配置获取连接等待超时的时间，单位是毫秒
spring.datasource.druid.maxWait=60000
### 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
spring.datasource.druid.timeBetweenEvictionRunsMillis=60000
### 配置一个连接在池中最小生存的时间，单位是毫秒
spring.datasource.druid.minEvictableIdleTimeMillis=300000
spring.datasource.druid.validationQuery=SELECT 1 FROM DUAL
spring.datasource.druid.testWhileIdle=true
spring.datasource.druid.testOnBorrow=false
spring.datasource.druid.testOnReturn=false
### 打开PSCache，并且指定每个连接上PSCache的大小
spring.datasource.druid.poolPreparedStatements=true
spring.datasource.druid.maxPoolPreparedStatementPerConnectionSize=20
### 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
spring.datasource.druid.filters=stat,wall

### 通过connectProperties属性来打开mergeSql功能；慢SQL记录
spring.datasource.druid.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
# 合并多个DruidDataSource的监控数据
#spring.datasource.useGlobalDataSourceStat=true


mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl

#####################redis 单机版 start################
spring.redis.port=6388
spring.redis.host=121.43.111.127
#redis密码
spring.redis.password=private123@^
spring.redis.lettuce.pool.max-active=300
spring.redis.lettuce.pool.max-wait=1000ms
spring.redis.lettuce.pool.max-idle=100
spring.redis.lettuce.pool.min-idle=0
spring.redis.timeout=100000ms

#ali.accessKeyId=LTAI4G3XTLh8G8DiTpXHpWgt
#ali.accessKeySecret=LYe8uf7Lg9WxJ1xejk45qnPFqxXLzN

####################阿里云配置######################
ali.access.key.id=LTAI5tDHiEGKuwzNhW2gLPyc
ali.access.key.secert=NVXSx3Gj7fHv6unGwWgalJh49uMZOI
ali.oss.bucket.name=zf-mall-test
ali.oss.endpoint.ww=oss-cn-shenzhen.aliyuncs.com/
ali.oss.endpoint=oss-cn-shenzhen-internal.aliyuncs.com/
ali.oss.type.pic=uploadfile/
ali.sms.msg.code=SMS_284585310
ali.cdn.url=


gree.url.token=

#通联支付回调地址
allIn.payment.notifyUrl=${sys.url}${server.servlet.context-path}/pay/allinpay/callback

#内部接口
inf.url=http://121.43.111.127:11111
inf.token.appid=zfire-jsm-sxb
inf.token.appSecret=3e7iee31ub94rvvesp7266kwske7fple

#分销商城appid
share.mall.appid=wx21d155e8a449d9b1

spring.elasticsearch.rest.uris=http://116.62.158.92:9200
spring.elasticsearch.rest.username=elastic
spring.elasticsearch.rest.password=zfire2022@
spring.elasticsearch.rest.connection-timeout=5s
spring.elasticsearch.rest.read-timeout=30s